/*
 * CoreAllocator.hh
 */
#ifndef __CoreAllocator_hh__
#define __CoreAllocator_hh__

#include "../VRInstanceMonitor.hh"

class CoreAllocator {
protected:
	// data members
	VRInstanceMonitor*** vrInstanceMonitor;	// LVRM dispatched
	int* vrInstanceMonitorCount;			// count the number of VR instance monitor dispatched

public:
	virtual void allocate() = 0;
};

#endif
