/*
 * LoadBalancer.hh
 */
#ifndef __LoadBalancer_hh__
#define __LoadBalancer_hh__

#include "../VRInstanceAdapter/VRInstanceAdapter.hh"

class LoadBalancer {
protected:
	// data members
	int* vrInstanceAdapterCount;			// count the number of VR instance adapters dispatched
	VRInstanceAdapter*** vrInstanceAdapter;	// VR instance adapters dispatched

public:
	virtual int balance() = 0;
};

#endif
