/*
 * jsq.cc
 * - Join-the-Shortest-Queue
 */
#include "rr.hh"

/*
 * Constructor
 */
rr::rr(int* vrInstanceAdapterCount_par, VRInstanceAdapter*** vrInstanceAdapter_par) {	// initalize the dispatcher
	vrInstanceAdapter = vrInstanceAdapter_par;
	vrInstanceAdapterCount = vrInstanceAdapterCount_par;
}

/*
 * Balance the load
 */
int rr::balance() {
	return next = *vrInstanceAdapterCount <= next + 1 ? 0 : next + 1;	// return the ID of the shortest queue to be joined
}
