/*
 * WeightedArrivalTime.hh
 */
#ifndef __WeightedArrivalTime_hh__
#define __WeightedArrivalTime_hh__

#include <linux/types.h>
#include "LoadEstimator.hh"

class WeightedArrivalTime : public LoadEstimator {
	// constant
	const static float weight = 9;

	// data members
	__u64 timeStamp;
	float weightedEstimate;

	__u64 getTimeStamp();	//save hardware TimeStamp Counter to Destination Register
	float estimate();
	float getEstimate();

public:
	WeightedArrivalTime();
};

#endif
