/*
 * jsq.cc
 * - Join-the-Shortest-Queue
 */
#include "rnd.hh"

/*
 * Constructor
 */
rnd::rnd(int* vrInstanceAdapterCount_par, VRInstanceAdapter*** vrInstanceAdapter_par) {	// initalize the dispatcher
	vrInstanceAdapter = vrInstanceAdapter_par;
	vrInstanceAdapterCount = vrInstanceAdapterCount_par;
}

/*
 * Balance the load
 */
int rnd::balance() {
	return myrnd() % *vrInstanceAdapterCount;	// return the ID of the shortest queue to be joined
}

int rnd::myrnd() { // RAND_MAX assumed to be 32767
	next = next * 1103515245 + 12345;
	return (unsigned) (next / 65536) % 32768;
}
