/*
 * WeightedQueueLength.hh
 */

#ifndef __WeightedQueueLength_hh__
#define __WeightedQueueLength_hh__

#include "LoadEstimator.hh"
class VRInstanceAdapter;

class WeightedQueueLength : public LoadEstimator {
	// constant
	const static float weight = 5;

	// data members
	float weightedEstimate;
	VRInstanceAdapter* vrInstanceAdapter;	// VR instance adapter dispatched

	float estimate();
	float getEstimate();

public:
	WeightedQueueLength(VRInstanceAdapter*);
};

#endif
