/*
 * SocketAdapter.hh
 */

#ifndef __SocketAdapter_hh__
#define __SocketAdapter_hh__

#include "if.hh"

class SocketAdapter {
protected:
	// data members
	char mac[2][ETH_ALEN];	// MAC address
	int deviceNameCounter;	// count the number of device name
	int* fd;				// file descriptor of the socket

public:
	virtual int fromLVRM(char*, int) = 0;
	virtual int toLVRM(char*) = 0;
};

#endif
